<!DOCTYPE html>
<html>
<head>
    <link rel="stylesheet" type="text/css" href="style.css">
</head>
<body>

<h1>Pit Test Coverage Report</h1>

<h3>Project Summary</h3>
<table>
    <thead>
        <tr>
            <th>Number of Classes</th>
            <th>Line Coverage</th>
            <th>Mutation Coverage</th>
            <th>Test Strength</th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td>12</td>
            <td>65% <div class="coverage_bar"><div class="coverage_complete width-65"></div><div class="coverage_legend">113/173</div></div></td>
            <td>54% <div class="coverage_bar"><div class="coverage_complete width-54"></div><div class="coverage_legend">51/94</div></div></td>
            <td>75% <div class="coverage_bar"><div class="coverage_complete width-75"></div><div class="coverage_legend">51/68</div></div></td>
        </tr>
    </tbody>
</table>


<h3>Breakdown by Package</h3>
<table>
    <thead>
        <tr>
            <th>Name</th>
            <th>Number of Classes</th>
            <th>Line Coverage</th>
            <th>Mutation Coverage</th>
            <th>Test Strength</th>
        </tr>
    </thead>
    <tbody>

        <tr>
            <td><a href="./com.softwaretesting.testing.config/index.html">com.softwaretesting.testing.config</a></td>
            <td>1</td>
            <td><div class="coverage_percentage">0% </div><div class="coverage_bar"><div class="coverage_complete width-0"></div><div class="coverage_legend">0/16</div></div></td>
            <td><div class="coverage_percentage">0% </div><div class="coverage_bar"><div class="coverage_complete width-0"></div><div class="coverage_legend">0/4</div></div></td>
            <td><div class="coverage_percentage">0% </div><div class="coverage_bar"><div class="coverage_complete width-0"></div><div class="coverage_legend">0/0</div></div></td>
        </tr>

        <tr>
            <td><a href="./com.softwaretesting.testing.customerManagement.controller/index.html">com.softwaretesting.testing.customerManagement.controller</a></td>
            <td>1</td>
            <td><div class="coverage_percentage">75% </div><div class="coverage_bar"><div class="coverage_complete width-75"></div><div class="coverage_legend">9/12</div></div></td>
            <td><div class="coverage_percentage">0% </div><div class="coverage_bar"><div class="coverage_complete width-0"></div><div class="coverage_legend">0/6</div></div></td>
            <td><div class="coverage_percentage">0% </div><div class="coverage_bar"><div class="coverage_complete width-0"></div><div class="coverage_legend">0/5</div></div></td>
        </tr>

        <tr>
            <td><a href="./com.softwaretesting.testing.customerManagement.service/index.html">com.softwaretesting.testing.customerManagement.service</a></td>
            <td>1</td>
            <td><div class="coverage_percentage">100% </div><div class="coverage_bar"><div class="coverage_complete width-100"></div><div class="coverage_legend">23/23</div></div></td>
            <td><div class="coverage_percentage">100% </div><div class="coverage_bar"><div class="coverage_complete width-100"></div><div class="coverage_legend">12/12</div></div></td>
            <td><div class="coverage_percentage">100% </div><div class="coverage_bar"><div class="coverage_complete width-100"></div><div class="coverage_legend">12/12</div></div></td>
        </tr>

        <tr>
            <td><a href="./com.softwaretesting.testing.customerRegistration.controller/index.html">com.softwaretesting.testing.customerRegistration.controller</a></td>
            <td>1</td>
            <td><div class="coverage_percentage">50% </div><div class="coverage_bar"><div class="coverage_complete width-50"></div><div class="coverage_legend">3/6</div></div></td>
            <td><div class="coverage_percentage">0% </div><div class="coverage_bar"><div class="coverage_complete width-0"></div><div class="coverage_legend">0/1</div></div></td>
            <td><div class="coverage_percentage">0% </div><div class="coverage_bar"><div class="coverage_complete width-0"></div><div class="coverage_legend">0/0</div></div></td>
        </tr>

        <tr>
            <td><a href="./com.softwaretesting.testing.customerRegistration.service/index.html">com.softwaretesting.testing.customerRegistration.service</a></td>
            <td>1</td>
            <td><div class="coverage_percentage">82% </div><div class="coverage_bar"><div class="coverage_complete width-82"></div><div class="coverage_legend">9/11</div></div></td>
            <td><div class="coverage_percentage">100% </div><div class="coverage_bar"><div class="coverage_complete width-100"></div><div class="coverage_legend">3/3</div></div></td>
            <td><div class="coverage_percentage">100% </div><div class="coverage_bar"><div class="coverage_complete width-100"></div><div class="coverage_legend">3/3</div></div></td>
        </tr>

        <tr>
            <td><a href="./com.softwaretesting.testing.dto.inbound/index.html">com.softwaretesting.testing.dto.inbound</a></td>
            <td>1</td>
            <td><div class="coverage_percentage">0% </div><div class="coverage_bar"><div class="coverage_complete width-0"></div><div class="coverage_legend">0/15</div></div></td>
            <td><div class="coverage_percentage">0% </div><div class="coverage_bar"><div class="coverage_complete width-0"></div><div class="coverage_legend">0/7</div></div></td>
            <td><div class="coverage_percentage">0% </div><div class="coverage_bar"><div class="coverage_complete width-0"></div><div class="coverage_legend">0/0</div></div></td>
        </tr>

        <tr>
            <td><a href="./com.softwaretesting.testing.dto.outbound/index.html">com.softwaretesting.testing.dto.outbound</a></td>
            <td>1</td>
            <td><div class="coverage_percentage">43% </div><div class="coverage_bar"><div class="coverage_complete width-43"></div><div class="coverage_legend">10/23</div></div></td>
            <td><div class="coverage_percentage">0% </div><div class="coverage_bar"><div class="coverage_complete width-0"></div><div class="coverage_legend">0/4</div></div></td>
            <td><div class="coverage_percentage">0% </div><div class="coverage_bar"><div class="coverage_complete width-0"></div><div class="coverage_legend">0/4</div></div></td>
        </tr>

        <tr>
            <td><a href="./com.softwaretesting.testing.model/index.html">com.softwaretesting.testing.model</a></td>
            <td>1</td>
            <td><div class="coverage_percentage">89% </div><div class="coverage_bar"><div class="coverage_complete width-89"></div><div class="coverage_legend">24/27</div></div></td>
            <td><div class="coverage_percentage">31% </div><div class="coverage_bar"><div class="coverage_complete width-31"></div><div class="coverage_legend">5/16</div></div></td>
            <td><div class="coverage_percentage">45% </div><div class="coverage_bar"><div class="coverage_complete width-45"></div><div class="coverage_legend">5/11</div></div></td>
        </tr>

        <tr>
            <td><a href="./com.softwaretesting.testing.util/index.html">com.softwaretesting.testing.util</a></td>
            <td>2</td>
            <td><div class="coverage_percentage">83% </div><div class="coverage_bar"><div class="coverage_complete width-83"></div><div class="coverage_legend">25/30</div></div></td>
            <td><div class="coverage_percentage">74% </div><div class="coverage_bar"><div class="coverage_complete width-74"></div><div class="coverage_legend">28/38</div></div></td>
            <td><div class="coverage_percentage">93% </div><div class="coverage_bar"><div class="coverage_complete width-93"></div><div class="coverage_legend">28/30</div></div></td>
        </tr>

        <tr>
            <td><a href="./com.softwaretesting.testing.validator/index.html">com.softwaretesting.testing.validator</a></td>
            <td>2</td>
            <td><div class="coverage_percentage">100% </div><div class="coverage_bar"><div class="coverage_complete width-100"></div><div class="coverage_legend">10/10</div></div></td>
            <td><div class="coverage_percentage">100% </div><div class="coverage_bar"><div class="coverage_complete width-100"></div><div class="coverage_legend">3/3</div></div></td>
            <td><div class="coverage_percentage">100% </div><div class="coverage_bar"><div class="coverage_complete width-100"></div><div class="coverage_legend">3/3</div></div></td>
        </tr>

     </tbody>
</table>
<br/>



<hr/>

Report generated by <a href='http://pitest.org'>PIT</a> 1.8.0

</body>
</html>